package com.szkingdom.config;
/*
 * <p>文件名称: AdminSwaggerConfig.java</p>
 * <p>项目描述: KOCA 金证云原生平台 v1.4.0</p>
 * <p>公司名称: 深圳市金证科技股份有限公司</p>
 * <p>版权所有: (C) 2019-2020</p>
 */

import java.util.function.Predicate;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.RequestHandler;
import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.service.ApiInfo;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

@Configuration
@EnableSwagger2
public class AdminSwaggerConfig {

    @Bean("admnin-swagger-config")
    public Docket api() {
        Predicate<RequestHandler> selector1 = RequestHandlerSelectors.withClassAnnotation(RestController.class);
        Predicate<RequestHandler> selector2 = RequestHandlerSelectors.withClassAnnotation(Controller.class);
        return new Docket(DocumentationType.SWAGGER_2).groupName("koca-admin").select().apis(selector1).apis(selector2)
            .build().apiInfo(apiInfo());
    }

    private ApiInfo apiInfo() {
        return new ApiInfoBuilder().version("1.7.0").license("LICENSE").build();
    }

}


